class Frustum {

	private:
		
		float modelMatrix[16];
		float projectionMatrix[16];
		float frustumMatrix[16];
		Plane plane[6];
		
		void multiplyMatrix();

	public:

	Frustum();
	~Frustum();

	void calculate();
	int classifyPoint(Plane p, Vector v);
	bool containsSphere(Vector position, float radius);
	int boundingBoxInsideFrustrum(int x1, int y1, int z1, int x2, int y2, int z2);

};
